fann_train
FANNConnection::__construct
FANN
PHP Manual

# The FANNConnection class

(No version information available, might only be in SVN)

## Introduction

FANNConnection is used for the neural network connection. The objects of this class are used in fann_get_connection_array() and fann_set_weight_array().

## Class synopsis

FANNConnection {
/* Properties */
public $from_neuron ;
public $to_neuron ;
public $weight ;
/* Methods */
public __construct ( int `$from_neuron` , int `$to_neuron` , float `$weight` )
public int getFromNeuron ( void )
public int getToNeuron ( void )
public void getWeight ( void )
public bool setWeight ( float `$weight` )
}

## Properties

from_neuron

  The neuron where the connection starts.

to_neuron

  The neuron where the connection ends.

weight

  The weight of the connection.

## Table of Contents

- FANNConnection::__construct — The connection constructor
- FANNConnection::getFromNeuron — Returns the postions of starting neuron.
- FANNConnection::getToNeuron — Returns the postions of terminating neuron
- FANNConnection::getWeight — Returns the connection weight
- FANNConnection::setWeight — Sets the connections weight

fann_train
FANNConnection::__construct
FANN
PHP Manual